Anonymous Login
2018-12-15 13:38 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001670OpenClonkObjectspublic2016-04-25 19:29
Reporterpluto 
Assigned ToMaikel 
PrioritylowSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Versiongit master 
Summary0001670: Granade Luncher is quite imba, usually almost onehitkill
DescriptionGranade Luncher needs a bit of balancing. Even though one can carry a maximum of 5 pieces of ammunition "only" usually 2 is quite common. Usually 2 shots is already devastating for the enemy.

it is especially powerfull compared to bow and musket, as it can shoot immediatly without offering much of a reaction time for the target, when previously loaded Furthermore aiming is super precise as granade luncher shows the ballistic curve of the projectile, furthermore it offers area damage. Bow and musket don't have both of that.

Ideas for better balancing would be:
1)make the projectiles speed slower (so there is reaction time for the target to evade.
2)remove the aiming aid. There is no aiming aid for bow, spear, or throwing any other items, why does the luncher have it?
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004941

Maikel (developer)

I added the aiming aid mainly to prevent self kills. Making the projectile slower would also result in a lower reach. I am not sure though, the grenade launcher is an expensive item, if a melee designer makes it available together with bow and arrow that is a problem in that melee.

~0004944

Zapper (developer)

I am somewhat on Maikel's side here. It's not bad to have extremely strong weapons (imagine someone would make wall kits available in a melee! *cough*).

If we want a middle ground between explosive arrows and a grenade launcher, we should add another item for that (e.g. weaker stackable grenade shells as ammunition).

We could, however, make the weight of the iron bomb lower so that you are not already killed just because you are hit by a fast moving object. Maikel?

~0004945

Maikel (developer)

Yes, making it lighter is good. Also its explosion strength could be reduced a bit while still keeping the same strength for the fragments.

~0004946

Zapper (developer)

Mh, should the bomb (/dynamite) be lighter in general or just after having been fired by a grenade launcher?

~0005079

Clonkonaut (developer)

Lighter in general sounds ok. I'm no fan of these special cases that are unpredictable.
(most likely they'll become tower levels e.g. 'catch the grenade shot from the launcher with the teleglove because you need a light grenade' or similar!)
+Notes

-Issue History
Date Modified Username Field Change
2016-02-07 00:49 pluto New Issue
2016-02-07 08:25 Maikel Note Added: 0004941
2016-02-07 10:07 Zapper Note Added: 0004944
2016-02-07 10:46 Maikel Note Added: 0004945
2016-02-07 11:05 Zapper Note Added: 0004946
2016-04-25 08:46 Clonkonaut Note Added: 0005079
2016-04-25 19:01 Maikel Assigned To => Maikel
2016-04-25 19:01 Maikel Status new => assigned
2016-04-25 19:29 Maikel Status assigned => resolved
2016-04-25 19:29 Maikel Fixed in Version => git master
2016-04-25 19:29 Maikel Resolution open => fixed
+Issue History